org.apache.ignite.internal.cache.query.index.sorted

## Class IndexKeyTypes

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexKeyTypes

    public class IndexKeyTypes
    extends Object

List of available types to use as index key.

### Field Summary

Fields
`static int` `ARRAY` The value type for ARRAY values.
`static int` `BLOB` The value type for BLOB values.
`static int` `BOOLEAN` The value type for BOOLEAN values.
`static int` `BYTE` The value type for BYTE values.
`static int` `BYTES` The value type for BYTES values.
`static int` `CLOB` The value type for CLOB values.
`static int` `DATE` The value type for DATE values.
`static int` `DECIMAL` The value type for DECIMAL values.
`static int` `DOUBLE` The value type for DOUBLE values.
`static int` `ENUM` The value type for ENUM values.
`static int` `FLOAT` The value type for FLOAT values.
`static int` `GEOMETRY` The value type for string values with a fixed size.
`static int` `INT` The value type for INT values.
`static int` `JAVA_OBJECT` The value type for JAVA_OBJECT values.
`static int` `LONG` The value type for INT values.
`static int` `NULL` The value type for NULL.
`static int` `RESULT_SET` The value type for RESULT_SET values.
`static int` `SHORT` The value type for SHORT values.
`static int` `STRING` The value type for STRING values.
`static int` `STRING_FIXED` The value type for string values with a fixed size.
`static int` `STRING_IGNORECASE` The value type for case insensitive STRING values.
`static int` `TIME` The value type for TIME values.
`static int` `TIMESTAMP` The value type for TIMESTAMP values.
`static int` `TIMESTAMP_TZ` The value type for TIMESTAMP WITH TIME ZONE values.
`static int` `UNKNOWN` The data type is unknown at this time.
`static int` `UUID` The value type for UUID values.

### Constructor Summary

Constructors
Constructor and Description
`IndexKeyTypes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNKNOWN

    public static final int UNKNOWN

The data type is unknown at this time.

See Also:
  Constant Field Values

#### NULL

    public static final int NULL

The value type for NULL.

See Also:
  Constant Field Values

#### BOOLEAN

    public static final int BOOLEAN

The value type for BOOLEAN values.

See Also:
  Constant Field Values

#### BYTE

    public static final int BYTE

The value type for BYTE values.

See Also:
  Constant Field Values

#### SHORT

    public static final int SHORT

The value type for SHORT values.

See Also:
  Constant Field Values

#### INT

    public static final int INT

The value type for INT values.

See Also:
  Constant Field Values

#### LONG

    public static final int LONG

The value type for INT values.

See Also:
  Constant Field Values

#### DECIMAL

    public static final int DECIMAL

The value type for DECIMAL values.

See Also:
  Constant Field Values

#### DOUBLE

    public static final int DOUBLE

The value type for DOUBLE values.

See Also:
  Constant Field Values

#### FLOAT

    public static final int FLOAT

The value type for FLOAT values.

See Also:
  Constant Field Values

#### TIME

    public static final int TIME

The value type for TIME values.

See Also:
  Constant Field Values

#### DATE

    public static final int DATE

The value type for DATE values.

See Also:
  Constant Field Values

#### TIMESTAMP

    public static final int TIMESTAMP

The value type for TIMESTAMP values.

See Also:
  Constant Field Values

#### BYTES

    public static final int BYTES

The value type for BYTES values.

See Also:
  Constant Field Values

#### STRING

    public static final int STRING

The value type for STRING values.

See Also:
  Constant Field Values

#### STRING_IGNORECASE

    public static final int STRING_IGNORECASE

The value type for case insensitive STRING values.

See Also:
  Constant Field Values

#### BLOB

    public static final int BLOB

The value type for BLOB values.

See Also:
  Constant Field Values

#### CLOB

    public static final int CLOB

The value type for CLOB values.

See Also:
  Constant Field Values

#### ARRAY

    public static final int ARRAY

The value type for ARRAY values.

See Also:
  Constant Field Values

#### RESULT_SET

    public static final int RESULT_SET

The value type for RESULT_SET values.

See Also:
  Constant Field Values

#### JAVA_OBJECT

    public static final int JAVA_OBJECT

The value type for JAVA_OBJECT values.

See Also:
  Constant Field Values

#### UUID

    public static final int UUID

The value type for UUID values.

See Also:
  Constant Field Values

#### STRING_FIXED

    public static final int STRING_FIXED

The value type for string values with a fixed size.

See Also:
  Constant Field Values

#### GEOMETRY

    public static final int GEOMETRY

The value type for string values with a fixed size.

See Also:
  Constant Field Values

#### TIMESTAMP_TZ

    public static final int TIMESTAMP_TZ

The value type for TIMESTAMP WITH TIME ZONE values.

See Also:
  Constant Field Values

#### ENUM

    public static final int ENUM

The value type for ENUM values.

See Also:
  Constant Field Values

### Constructor Detail

#### IndexKeyTypes

    public IndexKeyTypes()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022